Bug 13201 - Generates bogus "From" email addresses
Summary: Generates bogus "From" email addresses
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-28 23:16 UTC by gward
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2000-06-28 23:16:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:138 high SHIPPED_LIVE New, enhanced Update Agent for Red Hat Linux 6.x, 7.0 available 2000-12-21 05:00:00 UTC

Description gward 2000-06-28 23:16:35 UTC
The email generated by up2date has bogus "From" addresses -- either
"up2date@localhost" or "root@localhost" (client.py, lines 88 and 105).
Paranoid MTAs will reject this, even as a local message: after all,
"root@localhost" is not a valid email address.  Probably a slightly more
general solution would be to put the FQDN ("hostname -f") as the
domain of the address -- eg. replace 'localhost' with "os.uname()[1]" -- of
course, that assumes that the machine is configured so uname() returns the
FQDN, but even so it's better than hard-coding "localhost" (IMHO).

Comment 1 Preston Brown 2000-12-21 19:27:04 UTC
fixed in errata being released shortly.


Note You need to log in before you can comment on or make changes to this bug.